summaryrefslogtreecommitdiffstats
path: root/source/l/pygobject/pygobject.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/pygobject/pygobject.SlackBuild')
-rwxr-xr-xsource/l/pygobject/pygobject.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/l/pygobject/pygobject.SlackBuild b/source/l/pygobject/pygobject.SlackBuild
index a54d2bd34..064ca3c1d 100755
--- a/source/l/pygobject/pygobject.SlackBuild
+++ b/source/l/pygobject/pygobject.SlackBuild
@@ -72,12 +72,15 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/pygobject.fix.no.introspection.crash.diff.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
+ --disable-introspection \
--build=$ARCH-slackware-linux \
|| exit 1
@@ -89,7 +92,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- INSTALL AUTHORS COPYING NEWS README \
+ INSTALL AUTHORS COPYING* NEWS README* \
$PKG/usr/doc/$PKGNAM-$VERSION
( cd $PKG/usr/doc/$PKGNAM-$VERSION
ln -s ../../share/gtk-doc/html/pygobject html